package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("供应商查询询价VO")
public class DrpQuotePageVO implements Serializable {
   @ApiModelProperty("询价供应商主键id")
   private Long inquirySupplierId;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("决标时间")
   private LocalDateTime bidTime;
   @ApiModelProperty("要求到货时间")
   private LocalDate requestArrivalTime;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("报价状态(1-未报价,2-已报价,3-未中标,4-已中标)")
   private Integer bidStatus;
   @ApiModelProperty("报价开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("报价结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("报价总金额")
   private Integer quoteAmount;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("联系电话")
   private String phone;
   @ApiModelProperty("送货地址")
   private String address;
   @ApiModelProperty("报价详情")
   private List<DrpQuoteDetailPageVO> detailList;
   @ApiModelProperty("图片")
   List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics;

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public LocalDateTime getBidTime() {
      return this.bidTime;
   }

   public LocalDate getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public Integer getBidStatus() {
      return this.bidStatus;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public Integer getQuoteAmount() {
      return this.quoteAmount;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getAddress() {
      return this.address;
   }

   public List<DrpQuoteDetailPageVO> getDetailList() {
      return this.detailList;
   }

   public List<DrpQuoteInquiryPicVO> getDrpQuoteInquiryPics() {
      return this.drpQuoteInquiryPics;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setBidTime(final LocalDateTime bidTime) {
      this.bidTime = bidTime;
   }

   public void setRequestArrivalTime(final LocalDate requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setBidStatus(final Integer bidStatus) {
      this.bidStatus = bidStatus;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setQuoteAmount(final Integer quoteAmount) {
      this.quoteAmount = quoteAmount;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setDetailList(final List<DrpQuoteDetailPageVO> detailList) {
      this.detailList = detailList;
   }

   public void setDrpQuoteInquiryPics(final List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics) {
      this.drpQuoteInquiryPics = drpQuoteInquiryPics;
   }




   public String toString() {
      Long var10000 = this.getInquirySupplierId();
      return "DrpQuotePageVO(inquirySupplierId=" + var10000 + ", inquiryId=" + this.getInquiryId() + ", title=" + this.getTitle() + ", bidTime=" + String.valueOf(this.getBidTime()) + ", requestArrivalTime=" + String.valueOf(this.getRequestArrivalTime()) + ", arrivalTime=" + String.valueOf(this.getArrivalTime()) + ", bidStatus=" + this.getBidStatus() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", quoteTime=" + String.valueOf(this.getQuoteTime()) + ", quoteAmount=" + this.getQuoteAmount() + ", inquiryNotes=" + this.getInquiryNotes() + ", linkMan=" + this.getLinkMan() + ", phone=" + this.getPhone() + ", address=" + this.getAddress() + ", detailList=" + String.valueOf(this.getDetailList()) + ", drpQuoteInquiryPics=" + String.valueOf(this.getDrpQuoteInquiryPics()) + ")";
   }
}
